#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: foldl
version: 1.4.2
id: foldl-1.4.2-BbHOuKfVuxl5r4kFMPM5C9
key: foldl-1.4.2-BbHOuKfVuxl5r4kFMPM5C9
license: BSD-3-Clause
copyright: 2013 Gabriel Gonzalez
maintainer: Gabriel439@gmail.com
author: Gabriel Gonzalez
synopsis: Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.
category: Control
abi: c183788cb2b8a2bf94a81831c3db4867
exposed: True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl
hidden-modules: Control.Foldl.Internal
import-dirs: /usr/lib/ghc-8.4.3/site-local/foldl-1.4.2
library-dirs: /usr/lib/ghc-8.4.3/site-local/foldl-1.4.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.4.3/foldl-1.4.2
hs-libraries: HSfoldl-1.4.2-BbHOuKfVuxl5r4kFMPM5C9
depends:
    base-4.11.1.0 bytestring-0.10.8.2
    mwc-random-0.14.0.0-4vkPmaLMizhfhWgfiCDmx
    primitive-0.6.4.0-39Pwmm1zkQX6bM7xFUT3Jc text-1.2.3.0
    transformers-0.5.5.0 vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq
    containers-0.5.11.0
    unordered-containers-0.2.9.0-IEc9LFcTDjK6w3ap4NqwQu
    hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg
    contravariant-1.5-HWHOmzUIRDZBjbL8Fw1HTI
    profunctors-5.3-9FfinDuGLWFA0z8WCPFmPD
    semigroupoids-5.3.1-8LPV17szXQVB81Uqgw1FRZ
    comonad-5.0.4-6BvCuhx7i312Moy5XX16V2
    vector-builder-0.3.4.1-4FiQrKHaXou1LmReqDxyAD
abi-depends: base-4.11.1.0=a3fb1645bafaa89172454c2eea8dfdc9
             bytestring-0.10.8.2=9faa89cf4769cbd12751f8644ca9e618
             mwc-random-0.14.0.0-4vkPmaLMizhfhWgfiCDmx=6063a8a1be76823e89ed5c13c1fb4f80
             primitive-0.6.4.0-39Pwmm1zkQX6bM7xFUT3Jc=0a8d9e3ca28de3a4ac62e5f0044fa23c
             text-1.2.3.0=9752fd647a108be49a4cb0c2a4456f2b
             transformers-0.5.5.0=4f41484af13f560f1d83ed79e1be4572
             vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq=8ec9732a4c43da9ed60d7a7b8971b540
             containers-0.5.11.0=94bb4831ae701bd40855b2dc2d65cf7c
             unordered-containers-0.2.9.0-IEc9LFcTDjK6w3ap4NqwQu=5b052eced98346d45f3db03378f2841d
             hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg=0f14342a1ffe8710d31657335cf81134
             contravariant-1.5-HWHOmzUIRDZBjbL8Fw1HTI=d2f13618f92bbccf0540968a185d3c43
             profunctors-5.3-9FfinDuGLWFA0z8WCPFmPD=c4f5caccd7270609435ed7e692ca0cda
             semigroupoids-5.3.1-8LPV17szXQVB81Uqgw1FRZ=fefe65a9667b054c22e0c4972c268b42
             comonad-5.0.4-6BvCuhx7i312Moy5XX16V2=9c90e8f94411c9626a7e8a62a1f015de
             vector-builder-0.3.4.1-4FiQrKHaXou1LmReqDxyAD=8ca9e99601ae5e23dd9f5f734395057e
haddock-interfaces: /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html: /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

